[Task] Split EntityTitleLookup interface into actual "Title" and "Entity store" lookups
Closed, ResolvedPublic

Description

Originally these patches where part of T148626: [Task] EntityIdValues should be formatted as local wiki links in Wikitext output, but got blocked with -1 and removed from the chain of patches I build intentionally, and T148626 got closed without looking back at these patches.

Patches for review:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 1:44 PM

Change 328490 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove misplaced namespace lookup method from EntityTitleStoreLookup

https://gerrit.wikimedia.org/r/328490

Change 316977 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Split EntityTitleLookup interface

https://gerrit.wikimedia.org/r/316977

thiemowmde updated the task description. (Show Details)Dec 21 2016, 11:24 AM

Change 316977 merged by jenkins-bot:
Split EntityTitleLookup interface

https://gerrit.wikimedia.org/r/316977

Change 328632 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Use EntityTitleStoreLookup where necesarry

https://gerrit.wikimedia.org/r/328632

Change 328490 merged by jenkins-bot:
Remove misplaced namespace lookup method from EntityTitleStoreLookup

https://gerrit.wikimedia.org/r/328490

Change 328632 merged by jenkins-bot:
Use EntityTitleStoreLookup where necesarry

https://gerrit.wikimedia.org/r/328632

All patches (and some more) listed in the task description are now merged. Is there more that should be done here or is this resolved?

thiemowmde closed this task as Resolved.Jan 11 2017, 4:29 PM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.